.feedback-message {padding: 12px 20px !important;margin: 0 !important;border-radius: 10px;font-weight: 400;font-size: 14px !important;display: inline-flex !important;border-radius: 25px !important;}
.feedback-message.warning { background-color: #f36f46ff; color: #fff; }
.feedback-message.success {background-color: #41b983;color: #fff;}
.feedback-message.error { background-color: #dc3571; color: #fff; }

.correct-answer {/* background-color: #41b983; */transition: background-color 0.3s ease;}
.incorrect-answer {/* background-color: #dc3571; */transition: background-color 0.3s ease;}

.timer-display { font-size: 18px; font-weight: bold; padding: 10px; margin: 10px 0; }
.timer-warning { color: #dc3571; animation: pulse 0.5s infinite; }

@keyframes pulse {
	0%, 100% { opacity: 1; }
	50% { opacity: 0.5; }
}

.quiz-complete {}
.quiz-complete .score { text-align: center; font-size: 69px; font-weight: 600; position: relative; letter-spacing: -2px; z-index: 100;}
.quiz-complete .score .quiz-result {width: 240px;height: 240px;margin: 0 auto;}
.quiz-complete .score .quiz-result svg .bg {stroke: rgb(255 255 255 / 20%);position:relative;}
.quiz-complete .score .quiz-result svg .bg.outer {z-index:9}
.quiz-complete .score .quiz-result svg .bg.inner {z-index:10}
.quiz-complete .score .quiz-result svg .progress {stroke: #fff;}
.quiz-complete .score .quiz-result svg .full-fill {stroke: #fff;}
.quiz-complete .score .percent {position: absolute;top: 50%;left: 50%;transform: translate(-50%,-50%);}
.quiz-complete .score .percent small {font-size: 64%;}
.quiz-complete .score .emoji { position: absolute; left: 50%; bottom: -20px; transform: translateX(-50%); line-height: 1; font-size: 80px; }
.quiz-complete h3 {margin-bottom: 20px;color: #fff;font-size: 20px;font-weight: 600;}
.quiz-complete p {font-size: 24px;margin: 30px 0 0 0;text-align:center;z-index: 100}



.quiz-complete .star {
    position: absolute;
    font-size: 40px; /* Larger stars */
    color: #fff;
    animation: explode 3.5s ease-out forwards;
  }

   @keyframes explode {
    0% {
      transform: translate(0, 0) scale(1);
      opacity: 1;
    }
    100% {
      transform: var(--translate) scale(0.6);
      opacity: 0;
    }
  }


#question-form .answers li {list-style: none;padding: 10px 0;margin: 5px 0;border-radius: 10px;transition: all 0.3s ease;}
#question-form .answers li:hover {}

#quiz_time_challenge_bar { width: 100%; transition: width 1s linear; border-radius: 0; display: none; margin: 0 0; }
#quiz_time_challenge_bar.bar-caution { background: linear-gradient(90deg, #f36f46ff 0%, #f36f46ff 100%); }
#quiz_time_challenge_bar.bar-warning { background: linear-gradient(90deg, #dc3571 0%, #e4606d 100%); animation: pulse-bar 0.5s infinite; }



#quiz-filter-message { flex: 0 1 100%; font-size: 12px; text-align: right; margin: 0; position: absolute; bottom: -25px; right: 0; }
#quiz-filter-message.hide {display:none;}

@media (max-width: 991px) {
	#quiz-filter-message { position: relative; bottom: auto; right: auto; }
}

@media (max-width: 767px) {
	.feedback-message { display: flex !important; width: 100%; text-align: center; justify-content: center; }
}
@keyframes pulse-bar {
	0%, 100% { opacity: 1; }
	50% { opacity: 0.7; }
}


 
      
       
.quiz-exam-container {min-height: 400px;display: flex;flex-wrap: wrap;gap: 20px;align-content: flex-start;row-gap: 30px;}
.quiz-exam-container > h2 {flex: 0 1 100%;font-size: 26px;margin: 0;}
.quiz-exam-container .actions-content {flex: 0 1 100%;display: flex;gap: 20px;flex-wrap: wrap;}
.quiz-exam-container .actions-content > div {}
.quiz-exam-container .actions-content > div span {font-weight: 400;line-height: 1;margin: 0 0 10px 0;font-size: 15px;display: block;}
.quiz-exam-container .form-group {margin: 0;flex: 0 1 calc(50% - 10px);}
.quiz-exam-container .form-group > label {font-weight: 400;line-height: 1;margin: 0 0 10px 0;font-size: 15px;display: block;}
.quiz-exam-container .form-group > input { border-radius: 25px; background: #fff; box-shadow: 0 50px 0 #fff inset; padding: 0 15px; }
.quiz-exam-container .form-group > select {
    border: none;
    border-radius: 25px;
    padding: 0 15px;
    font-size: 15px;
    font-weight: 300;
    background: rgb( 0 0 0 / 30%) !important;
    color: #fff;
    background-position-x: calc(100% - 2px) !important;
    background-position-y: 50% !important;
    background-repeat: no-repeat !important;
    background-size: 36px !important;
    width: auto;
    min-width: 180px;
    height: 41.44px;
    background-image: url("data:image/svg+xml,%3Csvg%20width='24'%20height='24'%20viewBox='0%200%2024%2024'%20fill='none'%20xmlns='http://www.w3.org/2000/svg'%3E%3Ccircle%20cx='12'%20cy='12'%20r='11'%20fill='white'/%3E%3Cpath%20d='M8%2010l4%204%204-4'%20stroke='black'%20stroke-width='1'%20fill='none'%20stroke-linecap='round'%20stroke-linejoin='round'/%3E%3C/svg%3E") !important;
    box-shadow: none;
}


#quiz-exam-filter {flex: 0 1 100%;display: flex;flex-wrap: wrap;gap: 20px;}
#quiz-exam-filter .form-group {flex: none;}
#quiz-exam-filter .form-group .form-checks {display: inline-flex;background: rgb( 0 0 0 / 30%);border-radius: 30px;padding: 3px;}
#quiz-exam-filter .form-group .form-checks .form-check {margin: 0 3px 0 0;padding: 0;}
#quiz-exam-filter .form-group .form-checks .form-check:last-child {margin-right:0}
#quiz-exam-filter .form-group .form-checks .form-check input {display: none;}
#quiz-exam-filter .form-group .form-checks .form-check label {text-decoration: none;color: #fff;padding: 8px 15px 8px 37px;border-radius: 30px;font-weight: 400;font-size: 13px;cursor: pointer;position: relative;opacity: 0.5;}
#quiz-exam-filter .form-group .form-checks .form-check input:checked + label {/* background:#fff; *//* color:#000; */opacity: 1;}
#quiz-exam-filter .form-group .form-checks .form-check label::before {content:"";width: 25px;height: 25px;display: block;position: absolute;/* background: #fff; */border-radius: 50px;left: 5px;top: 5px;border: solid 2px #fff;}
#quiz-exam-filter .form-group .form-checks .form-check input:checked + label::before {opacity:1;background: #fff;}
#quiz-exam-filter .form-group .form-checks .form-check input:checked + label::after {content:"\f00c";font-family:"Font Awesome 6 Pro";font-weight:900;position:absolute;left: 5px;top: 5px;width: 25px;height: 25px;color: #000;line-height: 25px;text-align: center;font-size: 15px;}


.quiz-exam-container .form-group .custom-select-container {position: relative;width: 100%;color: #000;}
.quiz-exam-container .form-group .custom-select-container .select-arrow {color:#000;right: 15px;top: 50%;transform: translateY(-50%);pointer-events: none;transition: transform 0.2s;position: absolute;}
.quiz-exam-container .form-group .custom-select-container .select-arrow.open {transform: translateY(-50%) rotate(180deg);}
.quiz-exam-container .form-group .custom-select-container .select-display {border: none;background: #fff;border-radius: 50px;padding: 0 15px;min-height: 50px;box-shadow: none;display: flex;cursor: pointer;flex-wrap: wrap;align-items: center;gap: 8px;transition: border-color 0.15s ease-in-out;}
.quiz-exam-container .form-group .custom-select-container .select-display .selected-count {}
.quiz-exam-container .form-group .custom-select-container .select-display .clear-all { background: #777; color: #fff; width: 18px; height: 18px; text-align: center; line-height: 18px; border-radius: 50%; font-size: 10px; }
.quiz-exam-container .form-group .custom-select-container .select-display .clear-all i { display: inline-block; width: 100%; height: 100%; vertical-align: top; line-height: 18px; }
.quiz-exam-container .form-group .custom-select-container .select-display .clear-all i::before { font-weight: 300; }
.quiz-exam-container .form-group .custom-select-container .select-display .selected-item { background: #bbb; border: none; border-radius: 16px; padding: 3px 12px; font-size: 12px; display: inline-flex; align-items: center; gap: 5px; }
.quiz-exam-container .form-group .custom-select-container .select-display .selected-item i { color: #fff; margin: 0 0 0 3px; }
.quiz-exam-container .form-group .custom-select-container .select-display.open { border-radius: 25px 25px 0 0; }
.quiz-exam-container .form-group .custom-select-container .select-display .select-display-placeholder { color: #000; }
.quiz-exam-container .form-group .custom-select-container .select-dropdown {color: #000;background: #fff;border: none;box-shadow: none;display: none;z-index: 1000;border-radius: 0 0 25px 25px;position: absolute;top: 100%;left: 0;right: 0;}

.quiz-exam-container .form-group .custom-select-container .select-dropdown .dropdown-options::-webkit-scrollbar {width: 6px;}

.quiz-exam-container .form-group .custom-select-container .select-dropdown .dropdown-options::-webkit-scrollbar-thumb {background-color: #999; border-radius: 6px; cursor:grab;}
.quiz-exam-container .form-group .custom-select-container .select-dropdown .dropdown-options::-webkit-scrollbar-thumb:hover {background:#999;}


.quiz-exam-container .form-group .custom-select-container .select-dropdown.show {display:block;padding-right: 6px;}
.quiz-exam-container .form-group .custom-select-container .select-dropdown .dropdown-search {padding: 0 10px 0 15px;border: none;background: #fff;position: sticky;top: 0;z-index: 1;}
.quiz-exam-container .form-group .custom-select-container .select-dropdown .dropdown-search i { position: absolute; left: 15px; top: 15px; font-size: 19px; }
.quiz-exam-container .form-group .custom-select-container .select-dropdown .dropdown-search input {border-radius: 50px;padding: 0 15px 0 26px;box-shadow: none;box-shadow: none !important;background: none;}
.quiz-exam-container .form-group .custom-select-container .select-dropdown .dropdown-options {padding: 5px 0 5px;overflow-y: auto;max-height: 300px;}
.quiz-exam-container .form-group .custom-select-container .select-dropdown .dropdown-options .dropdown-option {background: none;border: none;color: #000;padding: 5px 15px;display: flex;gap: 8px;font-size: 14px;align-items: center;font-weight: 400;transition: background-color 0.15s;cursor: pointer;}
.quiz-exam-container .form-group .custom-select-container .select-dropdown .dropdown-options .dropdown-option.chapter {padding: 5px 15px 5px 16px;font-weight: 300;}
.quiz-exam-container .form-group .custom-select-container .select-dropdown .dropdown-options .dropdown-option .option-checkmark {width: 16px;height: 16px;background: #777;border-radius: 3px;color: #fff;display: flex;order: 3;margin: 0 0 0 auto;}
.quiz-exam-container .form-group .custom-select-container .select-dropdown .dropdown-options .dropdown-option .option-checkmark.empty {background: #eee;}
.quiz-exam-container .form-group .custom-select-container .select-dropdown .dropdown-options .dropdown-option .option-checkmark i { width: 16px; height: 16px; text-align: center; line-height: 16px; font-size: 10px; color: #fff; }
.quiz-exam-container .form-group .custom-select-container .select-dropdown .dropdown-options .dropdown-option > i {color: #a1b1ed;font-size: 16px;}
.quiz-exam-container .form-group .custom-select-container .select-dropdown .dropdown-options .dropdown-option:hover {font-weight:500}
.quiz-exam-container .form-group .custom-select-container .select-dropdown .dropdown-options .dropdown-option:hover > i {color:#607be1;}
.quiz-exam-container .form-group .custom-select-container .select-dropdown .dropdown-options .dropdown-option span { }
.quiz-exam-container .form-group .custom-select-container .select-dropdown .dropdown-options .dropdown-group-label {background: none;color: #000;font-size: 15px;/* background: #eee; */padding: 8px 15px;font-weight: 600;margin: 10px 0 0 0;display: flex;align-items: center;}
.quiz-exam-container .form-group .custom-select-container .select-dropdown .dropdown-options .dropdown-group-label > div {display: flex;align-items: center;}
.quiz-exam-container .form-group .custom-select-container .select-dropdown .dropdown-options .dropdown-group-label > div i {color: var(--c-main-light);margin: 0 7px 0 0;font-size: 20px;}
.quiz-exam-container .form-group .custom-select-container .select-dropdown .dropdown-options .dropdown-group-label > div span {}
.quiz-exam-container .form-group .custom-select-container .select-dropdown .dropdown-options .dropdown-group-label > a {margin: 0 0 0 auto;color: #000;font-size: 13px;text-decoration: none;border-bottom: solid 1px #000;}

.quiz-exam-container .form-group .custom-select-container .select-dropdown .dropdown-options .dropdown-option.all-subjects {}


.quiz-exam-container .quiz-exam-setup-stats { display: flex; align-items: center; flex: 0 1 100%; flex-wrap: wrap; justify-content: center; border: solid 3px rgb(255 255 255 / 30%); border-radius: 25px; padding: 30px 20px; column-gap: 40px; row-gap: 15px; }
.quiz-exam-container .quiz-exam-setup-stats .elem { display: flex; align-items: center; line-height: 1.1; font-size: 16px; }
.quiz-exam-container .quiz-exam-setup-stats .elem > strong { font-size: 50px; font-weight: 700; margin: 0 8px 0 0; }
.quiz-exam-container .quiz-exam-setup-stats .elem > span {}
.quiz-exam-container .quiz-exam-setup-stats .elem > p { line-height: 1.3; }
.quiz-exam-container .quiz-exam-setup-stats .elem > p strong { font-weight: 600; }
.quiz-exam-container .quiz-exam-setup-stats .note { background: none; color: rgb(255 255 255 / 70%); padding: 0 0 0 44px; }
.quiz-exam-container .quiz-exam-setup-stats .note::before { opacity: 0.7; font-size: 26px; top: -1px; left: 8px; padding: 0; }

.quiz-exam-container #start-exam-btn, .quiz-exam-container #setup-exam-btn {background: #000;color: #fff;opacity: 1;margin: 00 0 0;height: 50px;line-height: 50px;padding: 0 40px;}
.quiz-exam-container #start-exam-btn.disabled, .quiz-exam-container #setup-exam-btn.disabled { background: rgb(0 0 0 / 30%); color: rgb(255 255 255 / 60%); }
.quiz-exam-container .exam-select-disclaimer {margin: -10px 0 0 0;/* background: #d50000; *//* padding: 10px; *//* text-align: center; */font-size: 13px;border-radius: 25px;flex: 0 1 100%;}
